<?php
/*
  Plugin Name: Event custom fields
  Plugin URI: http://tickera.com/
  Description: custom fields for the events
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/

  Copyright 2018 Tickera (http://tickera.com/)
 */


//Create custom field for the event

add_filter( 'tc_event_fields', 'tc_modify_event_fields', 10, 1 );

function tc_modify_event_fields($fields) {
    $fields[] = array(
        'field_name' => 'event_facebook', // The name of the field in the database                                       
        'field_title' => __('Facebook Page', 'tc'), //Field label
        'field_type' => 'text',
        'field_description' => __('Add facebook page for the event', 'tc'), //Field description
        'table_visibility' => true,
        'post_field_type' => 'post_meta'
    );

    return $fields;
}



//Add shortcode to retrieve the information stored using previously created field 

add_shortcode( 'tc_event_facebook', 'tc_event_facebook' );

function tc_event_facebook($atts) {
    extract(shortcode_atts(array(
        'id' => ''
                    ), $atts));
    return get_post_meta($id, 'event_facebook', true);
}
